

drivers/net/eepro.c:1799: initializer element is not constant
drivers/net/eepro.c:1799: (near initialization for `__param_arr_io.num')
drivers/net/eepro.c:1800: initializer element is not constant
drivers/net/eepro.c:1800: (near initialization for `__param_arr_irq.num')
drivers/net/eepro.c:1801: initializer element is not constant
drivers/net/eepro.c:1801: (near initialization for `__param_arr_mem.num')

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/net/eepro.c |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

diff -puN drivers/net/eepro.c~eepro-build-fix drivers/net/eepro.c
--- 25/drivers/net/eepro.c~eepro-build-fix	2005-01-10 22:12:01.314334744 -0800
+++ 25-akpm/drivers/net/eepro.c	2005-01-10 22:15:06.638161240 -0800
@@ -1796,9 +1796,9 @@ MODULE_DESCRIPTION("Intel i82595 ISA Eth
 MODULE_LICENSE("GPL");
 
 static int num_params;
-module_param_array(io, int, num_params, 0);
-module_param_array(irq, int, num_params, 0);
-module_param_array(mem, int, num_params, 0);
+module_param_array(io, int, &num_params, 0);
+module_param_array(irq, int, &num_params, 0);
+module_param_array(mem, int, &num_params, 0);
 module_param(autodetect, int, 0);
 MODULE_PARM_DESC(io, "EtherExpress Pro/10 I/O base addres(es)");
 MODULE_PARM_DESC(irq, "EtherExpress Pro/10 IRQ number(s)");
_
